PHPExcel_WorksheetIterator

Used to iterate worksheets in PHPExcel

category | PHPExcel
package | PHPExcel
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new worksheet iterator

    __construct(\PHPExcel $subject)

### Parameters

#### $subject

`\PHPExcel`

## Destructor

    __destruct()

## Current PHPExcel_Worksheet

    current() : \PHPExcel_Worksheet

### Returns

`\PHPExcel_Worksheet`

## Current key

    key() : int

### Returns

`int`

## Next value

    next()

## Rewind iterator

    rewind()

## More PHPExcel_Worksheet instances available?

    valid() : boolean

### Returns

`boolean`

### Properties

##

    $_position : int

##

    $_subject : \PHPExcel